accumulo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher <ctubb...@apache.org>
Subject Re: Accumulo 1.5.0 bin.tar.gz Missing dependencies?
Date Fri, 05 Jul 2013 00:19:56 GMT
While the expectation is that these come with Hadoop, it is not a
strict requirement. It is a requirement that you provide them, but not
necessarily with Hadoop. Dropping them in the lib directory is a
perfectly acceptable solution. I hope to have our packaging better in
future versions (especially for the RPMs and DEBs), so that the
installation of Accumulo will invoke the installation of the dependent
libraries from their respective apt/yum repos.

--
Christopher L Tubbs II
http://gravatar.com/ctubbsii


On Thu, Jul 4, 2013 at 6:43 PM, John Vines <vines@apache.org> wrote:
> Couldn't find the posts, but I know it's documented somewhere.
>
> CDH3u4-6 are based off of Hadoop 0.20.2, which doesn't use
> commons-collections (as opposed to hadoop 1.0.4+ which does). We switched
> our minimum hadoop version to hadoop 1.0.4, so we expect those jars to be
> available with Hadoop.
>
>
> On Thu, Jul 4, 2013 at 5:10 PM, Cory Fraser <cfraser3@gmail.com> wrote:
>>
>> Hi,
>>
>> I've been experimenting with the 1.5.0 version of Accumulo and trying to
>> get the bin.tar.gz to run on a VM. When I run the bin/start-all.sh script,
>> all the Accumulo processes get ClassNotFoundExceptions for classes found
>> with commons-collections.jar and commons-configuration.jar. When I add these
>> JARs into the lib directory myself, everything starts working.
>>
>> Am I missing something about where Accumulo is getting it's classpath or
>> is the tar.gz just missing a few JARs? I am running Accumulo on top of
>> cdh3u5.
>>
>> Cory
>
>

Mime
View raw message